LibreOffice LibreOffice 5.3 SDK API Reference

Public Attributes | List of all members
ItemEvent Struct Referencepublished

specifies an event occurred to an item of a menu, a list box etc. More...

`import"ItemEvent.idl";`

Inheritance diagram for ItemEvent:

## Public Attributes
long | Selected
| specifies which item is newly selected. More...
long | Highlighted
| specifies which item is newly highlighted. More...
long | ItemId
| specifies the id of the item. More...
Public Attributes inherited from EventObject
com::sun::star::uno::XInterface | Source
| refers to the object that fired the event. More...

## Detailed Description

specifies an event occurred to an item of a menu, a list box etc.

## Member Data Documentation

## ◆ Highlighted

long Highlighted

specifies which item is newly highlighted.

## ◆ ItemId

long ItemId

specifies the id of the item.

## ◆ Selected

long Selected

specifies which item is newly selected.

The documentation for this struct was generated from the following file:

- com/sun/star/awt/ItemEvent.idl